<template>
    <div :class="$style.container">
        <!-- <b-icon :icon="icon" :type="`is-${color}`" :class="`has-background-${bgColor}`" /> -->
        <div
            :class="$style['icon-container']"
            :style="{
                backgroundColor: color,
            }"
        >
            <i class="fas fa-user" :class="$style.icon"></i>
        </div>

        <div class="">
            <div class="text1">{{ label }}</div>
            <div class="kpi-number">{{ number }}</div>
            <div class="comment text2">{{ comment }}</div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'CKpi',
    props: {
        icon: {
            type: String,
            default: 'fas fa-user',
        },
        color: {
            type: String,
            default: 'primary',
        },
        bgColor: {
            type: String,
            default: '',
        },
        label: {
            type: String,
            default: 'Label',
        },
        number: {
            type: String,
            default: '0',
        },
        comment: {
            type: String,
            default: '',
        },
    },
}
</script>

<style lang="scss" module>
.container {
    display: flex;
    .icon-container {
        height: 64px;
        width: 64px;
        .icon {
            font-size: 32px;
        }
    }
}
</style>
